SYNOPSIS
        void garbage_collection()
        void garbage_collection(string filename)

DESCRIPTION
        Tell the parser to initiate a garbage collection after the
        current execution ended.

        Tell the parser to initiate a garbage collection after the
        current execution ended. Depending on the type of memory
        allocator used, this GC is more less thorough.

        If the 'smalloc' memory allocator is used, the GC produces
        output to a log file. The default name of the log file is
        specified at program start, but can be modified at runtime:

            If the <filename> argument is given, any log output from the
            next and only the next GC will be appended to the named file.

        If a different memory allocator is used, the GC does not produce
        output and the <filename> argument is ignored.

HISTORY
        LDMud 3.2.9 added the <filename> argument.

SEE ALSO
        rusage(E), valid_write(M)
